Page MenuHomePhabricator

Remove usage of deprecated cache code
Closed, ResolvedPublic

Description

Examples:

  • wfMemcKey()
  • wfGlobalCacheKey()
  • ObjectCache::getMainStashInstance()

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterRemove usage of deprecated cache code from Echo

Related Objects

Event Timeline

kostajh created this task.Apr 17 2019, 12:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2019, 12:06 AM

Change 504536 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/Echo@master] Remove usage of deprecated cache code from Echo

https://gerrit.wikimedia.org/r/504536

D3r1ck01 moved this task from Backlog to Under Review on the User-D3r1ck01 board.
D3r1ck01 moved this task from Projects [Watch] to Under Review on the User-D3r1ck01 board.
D3r1ck01 claimed this task.Apr 17 2019, 4:14 PM

Change 504536 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Remove usage of deprecated cache code from Echo

https://gerrit.wikimedia.org/r/504536

D3r1ck01 closed this task as Resolved.Apr 18 2019, 12:27 AM
D3r1ck01 triaged this task as Medium priority.
D3r1ck01 removed a project: Patch-For-Review.

@D3r1ck01 FYI, we generally don't close tasks we fix ourselves. We try to get someone else to independently verify that it's OK. This is fairly technical so I wouldn't sent it to our QA for closing but maybe @kostajh could re-run his code analysis to confirm that all deprecation warnings related to "caching" are solved.

D3r1ck01 reopened this task as Open.Apr 18 2019, 9:49 AM
D3r1ck01 removed D3r1ck01 as the assignee of this task.
D3r1ck01 added a subscriber: D3r1ck01.

Oh @SBisson, sorry about that. Reopening for further checks to be done before resolving, I'm really sorry!

SBisson assigned this task to D3r1ck01.Apr 19 2019, 1:52 PM
SBisson edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Hey, I didn't mean to complain or sound strict about it. It's not a hard rule but just our the Growth team usually operates.

Sure, and I wish to respect that :) thanks!

kostajh closed this task as Resolved.Apr 22 2019, 5:51 PM

All looks good. Thanks for your work on this @D3r1ck01, much appreciated!